import setuptools

setuptools.setup(
    author="Julian Rasch",
    author_email="julian.rasch@fh-muenster.de",
    description="A small module to run Streamlit inside a dockerized JupyterLab.",
    name="jupyter-streamlit-proxy",
    py_modules=["streamlit_proxy", "my_app_proxy"],
    entry_points={
        "jupyter_serverproxy_servers": [
            "Streamlit = streamlit_proxy:setup_streamlit_proxy",
            "MyApp = my_app_proxy:setup_my_app_proxy"
        ]
    },
    install_requires=["jupyter-server-proxy==4.4.0"],
)